Package com.xebialabs.xlrelease.domain

## Class ReleaseTrigger

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseScript
    - - com.xebialabs.xlrelease.domain.BasePythonScript
      - - com.xebialabs.xlrelease.domain.Trigger
        - - com.xebialabs.xlrelease.domain.ScheduledTrigger
          - - com.xebialabs.xlrelease.domain.ReleaseTrigger

- All Implemented Interfaces:
    `ConfigurationItem`, `CiWithUid`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(versioned=false,
                virtual=false)
      public class ReleaseTrigger
      extends ScheduledTrigger

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `SCRIPT_VARS_CATEGORY` |
    `protected java.util.List<java.lang.String>` | `tags` |
    `protected java.util.List<Variable>` | `variables` |

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.Trigger

      `ALLOW_PARALLEL_EXECUTION, allowParallelExecution`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReleaseTrigger()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getContainerId()` |
    `java.lang.String` | `getExecutionId()` |
    `java.util.List<java.lang.String>` | `getInternalProperties()` |
    `java.lang.String` | `getReleaseFolder()` |
    `java.lang.String` | `getReleaseTitle()` |
    `java.util.List<java.lang.String>` | `getScriptVariableNames()` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getScriptVariableValues()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getStringScriptVariableValues()` |
    `java.util.List<java.lang.String>` | `getTags()` |
    `java.lang.String` | `getTemplate()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getTemplatePasswordVariables()` | This method is kept for backwards compatibility.
    `java.util.Map<java.lang.String,​java.lang.String>` | `getTemplateVariables()` | This method is kept for backwards compatibility.
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getTemplateVariableValues​(java.util.function.Predicate<Variable> variablePredicate)` |
    `java.util.List<Variable>` | `getVariables()` |
    `java.util.Map<java.lang.String,​Variable>` | `getVariablesByKeys()` |
    `boolean` | `hasExecutionId()` |
    `void` | `resetExecutionId()` |
    `void` | `setExecutionId​(java.lang.String executionId)` |
    `void` | `setReleaseFolder​(java.lang.String releaseFolder)` |
    `void` | `setReleaseTitle​(java.lang.String releaseTitle)` |
    `void` | `setScriptVariablesFromResults​(java.util.Map<java.lang.String,​java.lang.Object> variableValues)` |
    `void` | `setTags​(java.util.List<java.lang.String> tags)` |
    `void` | `setTemplate​(java.lang.String template)` |
    `void` | `setTriggerStateFromResults​(java.lang.String state)` |
    `void` | `setVariables​(java.util.List<Variable> variables)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.ScheduledTrigger

      `getPeriodicity, getPollType, isInitialFire, setInitialFire, setPeriodicity, setPollType`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.Trigger

      `getAllowParallelExecution, getCiUid, getDescription, getFolderId, getLastRunDate, getLastRunStatus, getTitle, getTriggerState, isEnabled, setAllowParallelExecution, setCiUid, setDescription, setEnabled, setFolderId, setLastRunDate, setLastRunStatus, setTitle, setTriggerState`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseScript

      `getAbortScript, getScript`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- - ### Field Detail

    - #### SCRIPT_VARS_CATEGORY

          public static final java.lang.String SCRIPT_VARS_CATEGORY

      See Also:
        Constant Field Values

    - #### variables

          @Property(asContainment=true,
                    required=false,
                    category="hidden")
          protected java.util.List<Variable> variables

    - #### tags

          @Property(required=false,
                    category="hidden")
          protected java.util.List<java.lang.String> tags

  - ### Constructor Detail

    - #### ReleaseTrigger

          public ReleaseTrigger()

  - ### Method Detail

    - #### getReleaseTitle

          public java.lang.String getReleaseTitle()

    - #### setReleaseTitle

          public void setReleaseTitle​(java.lang.String releaseTitle)

    - #### getInternalProperties

          public java.util.List<java.lang.String> getInternalProperties()

      Overrides:
        `getInternalProperties` in class `ScheduledTrigger`

    - #### getTemplateVariables

          public java.util.Map<java.lang.String,​java.lang.String> getTemplateVariables()

      This method is kept for backwards compatibility. `getVariables()` method provides richer access to the variable management.
      Returns:
        mapping from variable name to variable value containing only variables with string values. Variable names are in `${key}` format.

    - #### getTemplatePasswordVariables

          public java.util.Map<java.lang.String,​java.lang.String> getTemplatePasswordVariables()

      This method is kept for backwards compatibility. `getVariables()` method provides richer access to the variable management.
      Returns:
        mapping from variable name to variable value containing only variables with string values. Variable names are in `${key}` format.

    - #### getVariables

          public java.util.List<Variable> getVariables()

    - #### setVariables

          public void setVariables​(java.util.List<Variable> variables)

    - #### getTemplate

          public java.lang.String getTemplate()

    - #### setTemplate

          public void setTemplate​(java.lang.String template)

    - #### getTags

          public java.util.List<java.lang.String> getTags()

    - #### setTags

          public void setTags​(java.util.List<java.lang.String> tags)

    - #### getExecutionId

          public java.lang.String getExecutionId()

    - #### hasExecutionId

          public boolean hasExecutionId()

    - #### getReleaseFolder

          public java.lang.String getReleaseFolder()

    - #### setReleaseFolder

          public void setReleaseFolder​(java.lang.String releaseFolder)

    - #### setExecutionId

          public void setExecutionId​(java.lang.String executionId)

    - #### resetExecutionId

          public void resetExecutionId()

    - #### setTriggerStateFromResults

          public void setTriggerStateFromResults​(java.lang.String state)

    - #### getScriptVariableNames

          public java.util.List<java.lang.String> getScriptVariableNames()

    - #### setScriptVariablesFromResults

          public void setScriptVariablesFromResults​(java.util.Map<java.lang.String,​java.lang.Object> variableValues)

    - #### getStringScriptVariableValues

          public java.util.Map<java.lang.String,​java.lang.String> getStringScriptVariableValues()

    - #### getScriptVariableValues

          public java.util.Map<java.lang.String,​java.lang.Object> getScriptVariableValues()

    - #### getTemplateVariableValues

          public java.util.Map<java.lang.String,​java.lang.Object> getTemplateVariableValues​(java.util.function.Predicate<Variable> variablePredicate)

    - #### getVariablesByKeys

          public java.util.Map<java.lang.String,​Variable> getVariablesByKeys()

    - #### getContainerId

          public java.lang.String getContainerId()

      Specified by:
        `getContainerId` in class `Trigger`